import request from '@/utils/request'

// 查询建立属性之间的映射关系列表
export function listGameareamapping(query) {
  return request({
    url: '/system/tBusGameAttributeMapping/paginQuery',
    method: 'get',
    params: query
  })
}

// 查询建立属性之间的映射关系详细
export function getGameareamapping(query) {
  return request({
    url: '/system/tBusGameAttributeMapping/queryById',
    method: 'get',
	params: query
  })
}

// 新增建立属性之间的映射关系
export function addGameareamapping(data) {
  return request({
    url: '/system/tBusGameAttributeMapping/add',
    method: 'post',
    data: data
  })
}
// 新增建立属性之间的映射关系
export function tongbuGameareamapping(data) {
  return request({
    url: '/system/tBusGameAttributeMapping/attributeSyn',
    method: 'post',
    data: data
  })
}

// 修改建立属性之间的映射关系
export function updateGameareamapping(data) {
  return request({
    url: '/system/tBusGameAttributeMapping/edit',
    method: 'put',
    data: data
  })
}

// 删除建立属性之间的映射关系
export function delGameareamapping(query) {
  return request({
    url: '/system/tBusGameAttributeMapping/deleteById',
    method: 'delete',
	params: query
  })
}
